package thyyxxk.webserver.service.medicalinsurance;

import thyyxxk.webserver.entity.medicalinsurance.inpatient.*;

import java.util.List;

public interface ZyOrJzYbData {

    /**
     * 获取入院基本信息
     *
     * @param zyptnt 患者基本信息（急诊抢救时，inpatientNo为门诊号）
     * @return 入院基本信息
     */
    AdmMdtrtinfo getAdmMdtrtinfo(ZyPatientInfo zyptnt);

    /**
     * 获取入院医保诊断
     *
     * @param patNo 住院号
     * @param times 住院次数
     * @return 入院医保诊断
     */
    List<AdmDiseinfo> getAdmDiseinfo(String patNo, int times);

    /**
     * 获取预结算参数
     *
     * @param zyptnt 患者基本信息（急诊抢救时，inpatientNo为门诊号）
     * @return 预结算参数
     */
    PreSetlmt getPreSetlmt(ZyPatientInfo zyptnt);

    Dscginfo getDscginfo(ZyPatientInfo zyptnt);

    List<SetlDiseinfo> getSetlDiseinfo(ZyPatientInfo zyptnt);

    PreSetlmt getSetlmt(ZyPatientInfo zyptnt);
}
